/* fail.h */
/* version 0.6 */
/* Rgis Cridlig 1991-1993 */

#ifndef _fail_
#define _fail_

#define OUT_OF_MEMORY_EXN   MLINT(1431698)   /* "exc__Out_of_memory" */
#define SYS_ERROR_EXN       MLINT(2909223)   /* "sys__Sys_error" */
#define FAILURE_EXN         MLINT(8936780)   /* "exc__Failure" */
#define INVALID_EXN         MLINT(6523564)   /* "exc__Invalid_argument" */
#define END_OF_FILE_EXN     MLINT(2233492)   /* "io__End_of_file" */
#define ZERO_DIVIDE_EXN     MLINT(5872256)   /* "int__Division_by_zero" */
#define BREAK_EXN           MLINT(4067560)   /* "sys__Break" */
#define NOT_FOUND_EXN       MLINT(3211890)   /* "exc__Not_found" */
#define UNIX_ERROR_EXN      MLINT(7105038)   /* "unix__Unix_error" */
#define GRAPHIC_FAILURE_EXN MLINT( 668968)   /* "graphics__Graphic_failure"*/
#define PARSE_FAILURE_EXN   MLINT(1936323)   /* "stream__Parse_failure" */

extern void mlraise(obj_t);
extern void raise_with_tag(obj_t);
extern void raise_with_arg(obj_t tag,obj_t arg);
extern inline void raise_with_string(obj_t,char *);
extern void failwith(char*);
extern void invalid_argument(char *);
extern void raise_out_of_memory(void);
/*extern void os_error(void);*/
/*extern obj_t division_by_zero(void);*/ /* appele par Pccall */

#endif /* _fail_ */
